package com.ruoyi.zdsz.service;

import com.ruoyi.zdsz.domain.ZMaterialStatistics;
import com.ruoyi.zdsz.domain.bo.ZEngineeringCivilBo;
import com.ruoyi.zdsz.domain.bo.ZEngineeringNodeBo;
import com.ruoyi.zdsz.domain.vo.MaterialStatisticsListVo;
import com.ruoyi.zdsz.domain.vo.ZMaterialStatisticsVo;
import com.ruoyi.zdsz.domain.bo.ZMaterialStatisticsBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 用料统计Service接口
 *
 * @author ruoyi
 * @date 2023-12-27
 */
public interface IZMaterialStatisticsService {

    /**
     * 查询用料统计
     */
    ZMaterialStatisticsVo queryById(String id);

    /**
     * 查询用料统计列表
     */
    TableDataInfo<ZMaterialStatisticsVo> queryPageList(ZMaterialStatisticsBo bo, PageQuery pageQuery);

    /**
     * 查询用料统计列表
     */
    List<MaterialStatisticsListVo> queryList(ZMaterialStatisticsBo bo);

    /**
     * 新增用料统计
     */
    Boolean insertByBo(ZMaterialStatisticsBo bo);
    Boolean insert(ZEngineeringCivilBo bo);

    /**
     * 修改用料统计
     */
    Boolean updateByBo(ZMaterialStatisticsBo bo);

    /**
     * 校验并批量删除用料统计信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);
}
